namespace efl { namespace ui { 
inline ::efl::eolian::return_traits<bool>::type Text::scrollable_get() const
{
   Eina_Bool __return_value =  ::efl_ui_text_scrollable_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<bool>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Text::scrollable_set( ::efl::eolian::in_traits<bool>::type scroll) const
{
    ::efl_ui_text_scrollable_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<Eina_Bool,  ::efl::eolian::in_traits<bool>::type>(scroll));
}
inline ::efl::eolian::return_traits<bool>::type Text::input_panel_show_on_demand_get() const
{
   Eina_Bool __return_value =  ::efl_ui_text_input_panel_show_on_demand_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<bool>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Text::input_panel_show_on_demand_set( ::efl::eolian::in_traits<bool>::type ondemand) const
{
    ::efl_ui_text_input_panel_show_on_demand_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<Eina_Bool,  ::efl::eolian::in_traits<bool>::type>(ondemand));
}
inline ::efl::eolian::return_traits<bool>::type Text::context_menu_disabled_get() const
{
   Eina_Bool __return_value =  ::efl_ui_text_context_menu_disabled_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<bool>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Text::context_menu_disabled_set( ::efl::eolian::in_traits<bool>::type disabled) const
{
    ::efl_ui_text_context_menu_disabled_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<Eina_Bool,  ::efl::eolian::in_traits<bool>::type>(disabled));
}
inline ::efl::eolian::return_traits<Elm_Cnp_Mode>::type Text::cnp_mode_get() const
{
   Elm_Cnp_Mode __return_value =  ::efl_ui_text_cnp_mode_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<Elm_Cnp_Mode>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Text::cnp_mode_set( ::efl::eolian::in_traits<Elm_Cnp_Mode>::type cnp_mode) const
{
    ::efl_ui_text_cnp_mode_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<Elm_Cnp_Mode,  ::efl::eolian::in_traits<Elm_Cnp_Mode>::type>(cnp_mode));
}
inline ::efl::eolian::return_traits<Elm_Input_Panel_Lang>::type Text::input_panel_language_get() const
{
   Elm_Input_Panel_Lang __return_value =  ::efl_ui_text_input_panel_language_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<Elm_Input_Panel_Lang>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Text::input_panel_language_set( ::efl::eolian::in_traits<Elm_Input_Panel_Lang>::type lang) const
{
    ::efl_ui_text_input_panel_language_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<Elm_Input_Panel_Lang,  ::efl::eolian::in_traits<Elm_Input_Panel_Lang>::type>(lang));
}
inline ::efl::eolian::return_traits<bool>::type Text::selection_handler_disabled_get() const
{
   Eina_Bool __return_value =  ::efl_ui_text_selection_handler_disabled_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<bool>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Text::selection_handler_disabled_set( ::efl::eolian::in_traits<bool>::type disabled) const
{
    ::efl_ui_text_selection_handler_disabled_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<Eina_Bool,  ::efl::eolian::in_traits<bool>::type>(disabled));
}
inline ::efl::eolian::return_traits<int>::type Text::input_panel_layout_variation_get() const
{
   int __return_value =  ::efl_ui_text_input_panel_layout_variation_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<int>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Text::input_panel_layout_variation_set( ::efl::eolian::in_traits<int>::type variation) const
{
    ::efl_ui_text_input_panel_layout_variation_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<int,  ::efl::eolian::in_traits<int>::type>(variation));
}
inline ::efl::eolian::return_traits<Elm_Autocapital_Type>::type Text::autocapital_type_get() const
{
   Elm_Autocapital_Type __return_value =  ::efl_ui_text_autocapital_type_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<Elm_Autocapital_Type>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Text::autocapital_type_set( ::efl::eolian::in_traits<Elm_Autocapital_Type>::type autocapital_type) const
{
    ::efl_ui_text_autocapital_type_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<Elm_Autocapital_Type,  ::efl::eolian::in_traits<Elm_Autocapital_Type>::type>(autocapital_type));
}
inline ::efl::eolian::return_traits<bool>::type Text::password_get() const
{
   Eina_Bool __return_value =  ::efl_ui_text_password_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<bool>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Text::password_set( ::efl::eolian::in_traits<bool>::type password) const
{
    ::efl_ui_text_password_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<Eina_Bool,  ::efl::eolian::in_traits<bool>::type>(password));
}
inline ::efl::eolian::return_traits<bool>::type Text::input_panel_return_key_disabled_get() const
{
   Eina_Bool __return_value =  ::efl_ui_text_input_panel_return_key_disabled_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<bool>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Text::input_panel_return_key_disabled_set( ::efl::eolian::in_traits<bool>::type disabled) const
{
    ::efl_ui_text_input_panel_return_key_disabled_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<Eina_Bool,  ::efl::eolian::in_traits<bool>::type>(disabled));
}
inline ::efl::eolian::return_traits<bool>::type Text::prediction_allow_get() const
{
   Eina_Bool __return_value =  ::efl_ui_text_prediction_allow_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<bool>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Text::prediction_allow_set( ::efl::eolian::in_traits<bool>::type prediction) const
{
    ::efl_ui_text_prediction_allow_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<Eina_Bool,  ::efl::eolian::in_traits<bool>::type>(prediction));
}
inline ::efl::eolian::return_traits<Elm_Input_Hints>::type Text::input_hint_get() const
{
   Elm_Input_Hints __return_value =  ::efl_ui_text_input_hint_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<Elm_Input_Hints>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Text::input_hint_set( ::efl::eolian::in_traits<Elm_Input_Hints>::type hints) const
{
    ::efl_ui_text_input_hint_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<Elm_Input_Hints,  ::efl::eolian::in_traits<Elm_Input_Hints>::type>(hints));
}
inline ::efl::eolian::return_traits<Elm_Input_Panel_Layout>::type Text::input_panel_layout_get() const
{
   Elm_Input_Panel_Layout __return_value =  ::efl_ui_text_input_panel_layout_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<Elm_Input_Panel_Layout>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Text::input_panel_layout_set( ::efl::eolian::in_traits<Elm_Input_Panel_Layout>::type layout) const
{
    ::efl_ui_text_input_panel_layout_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<Elm_Input_Panel_Layout,  ::efl::eolian::in_traits<Elm_Input_Panel_Layout>::type>(layout));
}
inline ::efl::eolian::return_traits<Elm_Input_Panel_Return_Key_Type>::type Text::input_panel_return_key_type_get() const
{
   Elm_Input_Panel_Return_Key_Type __return_value =  ::efl_ui_text_input_panel_return_key_type_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<Elm_Input_Panel_Return_Key_Type>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Text::input_panel_return_key_type_set( ::efl::eolian::in_traits<Elm_Input_Panel_Return_Key_Type>::type return_key_type) const
{
    ::efl_ui_text_input_panel_return_key_type_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<Elm_Input_Panel_Return_Key_Type,  ::efl::eolian::in_traits<Elm_Input_Panel_Return_Key_Type>::type>(return_key_type));
}
inline ::efl::eolian::return_traits<bool>::type Text::input_panel_enabled_get() const
{
   Eina_Bool __return_value =  ::efl_ui_text_input_panel_enabled_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<bool>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Text::input_panel_enabled_set( ::efl::eolian::in_traits<bool>::type enabled) const
{
    ::efl_ui_text_input_panel_enabled_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<Eina_Bool,  ::efl::eolian::in_traits<bool>::type>(enabled));
}
inline ::efl::eolian::return_traits<void>::type Text::input_panel_return_key_autoenabled_set( ::efl::eolian::in_traits<bool>::type enabled) const
{
    ::efl_ui_text_input_panel_return_key_autoenabled_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<Eina_Bool,  ::efl::eolian::in_traits<bool>::type>(enabled));
}
inline ::efl::eolian::return_traits<void*>::type Text::imf_context_get() const
{
   void * __return_value =  ::efl_ui_text_imf_context_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<void*>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Text::item_provider_prepend( ::efl::eolian::in_traits<Elm_Entry_Item_Provider_Cb>::type func,  ::efl::eolian::in_traits<void*>::type data) const
{
    ::efl_ui_text_item_provider_prepend(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<Elm_Entry_Item_Provider_Cb,  ::efl::eolian::in_traits<Elm_Entry_Item_Provider_Cb>::type>(func)
      ,  ::efl::eolian::convert_to_c<void *,  ::efl::eolian::in_traits<void*>::type>(data));
}
inline ::efl::eolian::return_traits<void>::type Text::input_panel_show() const
{
    ::efl_ui_text_input_panel_show(this->_eo_ptr());
}
inline ::efl::eolian::return_traits<void>::type Text::imf_context_reset() const
{
    ::efl_ui_text_imf_context_reset(this->_eo_ptr());
}
inline ::efl::eolian::return_traits<void>::type Text::selection_copy() const
{
    ::efl_ui_text_selection_copy(this->_eo_ptr());
}
inline ::efl::eolian::return_traits<void>::type Text::item_provider_remove( ::efl::eolian::in_traits<Elm_Entry_Item_Provider_Cb>::type func,  ::efl::eolian::in_traits<void*>::type data) const
{
    ::efl_ui_text_item_provider_remove(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<Elm_Entry_Item_Provider_Cb,  ::efl::eolian::in_traits<Elm_Entry_Item_Provider_Cb>::type>(func)
      ,  ::efl::eolian::convert_to_c<void *,  ::efl::eolian::in_traits<void*>::type>(data));
}
inline ::efl::eolian::return_traits<void>::type Text::context_menu_clear() const
{
    ::efl_ui_text_context_menu_clear(this->_eo_ptr());
}
inline ::efl::eolian::return_traits<void>::type Text::input_panel_imdata_set( ::efl::eolian::in_traits<void const*>::type data,  ::efl::eolian::in_traits<int>::type len) const
{
    ::efl_ui_text_input_panel_imdata_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<const void *,  ::efl::eolian::in_traits<void const*>::type>(data)
      ,  ::efl::eolian::convert_to_c<int,  ::efl::eolian::in_traits<int>::type>(len));
}
inline ::efl::eolian::return_traits<void>::type Text::input_panel_imdata_get( ::efl::eolian::inout_traits<void>::type data,  ::efl::eolian::out_traits<int>::type len) const
{
   void* __out_param_data = ::efl::eolian::convert_inout<void, void>(data);
   int __out_param_len = {};
    ::efl_ui_text_input_panel_imdata_get(this->_eo_ptr()
      , & __out_param_data
      , & __out_param_len);
   ::efl::eolian::assign_out< ::efl::eolian::inout_traits<void>::type, void>(data, __out_param_data);
   ::efl::eolian::assign_out< ::efl::eolian::out_traits<int>::type, int>(len, __out_param_len);
}
inline ::efl::eolian::return_traits<void>::type Text::selection_paste() const
{
    ::efl_ui_text_selection_paste(this->_eo_ptr());
}
inline ::efl::eolian::return_traits<void>::type Text::input_panel_hide() const
{
    ::efl_ui_text_input_panel_hide(this->_eo_ptr());
}
inline ::efl::eolian::return_traits<void>::type Text::cursor_selection_end() const
{
    ::efl_ui_text_cursor_selection_end(this->_eo_ptr());
}
inline ::efl::eolian::return_traits<void>::type Text::selection_cut() const
{
    ::efl_ui_text_selection_cut(this->_eo_ptr());
}
inline ::efl::eolian::return_traits<void>::type Text::item_provider_append( ::efl::eolian::in_traits<Elm_Entry_Item_Provider_Cb>::type func,  ::efl::eolian::in_traits<void*>::type data) const
{
    ::efl_ui_text_item_provider_append(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<Elm_Entry_Item_Provider_Cb,  ::efl::eolian::in_traits<Elm_Entry_Item_Provider_Cb>::type>(func)
      ,  ::efl::eolian::convert_to_c<void *,  ::efl::eolian::in_traits<void*>::type>(data));
}
inline ::efl::eolian::return_traits<void>::type Text::context_menu_item_add( ::efl::eolian::in_traits< ::efl::eina::optional< ::efl::eina::string_view>>::type label,  ::efl::eolian::in_traits< ::efl::eina::optional< ::efl::eina::string_view>>::type icon_file,  ::efl::eolian::in_traits<Elm_Icon_Type>::type icon_type,  ::efl::eolian::in_traits< ::efl::eina::optional<Evas_Smart_Cb>>::type func,  ::efl::eolian::in_traits<void const*>::type data) const
{
    ::efl_ui_text_context_menu_item_add(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<const char *,  ::efl::eolian::in_traits< ::efl::eina::optional< ::efl::eina::string_view>>::type>(label)
      ,  ::efl::eolian::convert_to_c<const char *,  ::efl::eolian::in_traits< ::efl::eina::optional< ::efl::eina::string_view>>::type>(icon_file)
      ,  ::efl::eolian::convert_to_c<Elm_Icon_Type,  ::efl::eolian::in_traits<Elm_Icon_Type>::type>(icon_type)
      ,  ::efl::eolian::convert_to_c<Evas_Smart_Cb,  ::efl::eolian::in_traits< ::efl::eina::optional<Evas_Smart_Cb>>::type>(func)
      ,  ::efl::eolian::convert_to_c<const void *,  ::efl::eolian::in_traits<void const*>::type>(data));
}
inline ::efl::eolian::return_traits< ::efl::canvas::text::Cursor>::type Text::cursor_new() const
{
    ::Efl_Canvas_Text_Cursor* __return_value =  ::efl_ui_text_cursor_new(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits< ::efl::canvas::text::Cursor>::type>(__return_value);
}
} } 
namespace eo_cxx {
namespace efl { namespace ui { 
inline ::efl::eolian::return_traits<bool>::type Text::scrollable_get() const
{
   Eina_Bool __return_value =  ::efl_ui_text_scrollable_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<bool>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Text::scrollable_set( ::efl::eolian::in_traits<bool>::type scroll) const
{
    ::efl_ui_text_scrollable_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<Eina_Bool,  ::efl::eolian::in_traits<bool>::type>(scroll));
}
inline ::efl::eolian::return_traits<bool>::type Text::input_panel_show_on_demand_get() const
{
   Eina_Bool __return_value =  ::efl_ui_text_input_panel_show_on_demand_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<bool>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Text::input_panel_show_on_demand_set( ::efl::eolian::in_traits<bool>::type ondemand) const
{
    ::efl_ui_text_input_panel_show_on_demand_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<Eina_Bool,  ::efl::eolian::in_traits<bool>::type>(ondemand));
}
inline ::efl::eolian::return_traits<bool>::type Text::context_menu_disabled_get() const
{
   Eina_Bool __return_value =  ::efl_ui_text_context_menu_disabled_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<bool>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Text::context_menu_disabled_set( ::efl::eolian::in_traits<bool>::type disabled) const
{
    ::efl_ui_text_context_menu_disabled_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<Eina_Bool,  ::efl::eolian::in_traits<bool>::type>(disabled));
}
inline ::efl::eolian::return_traits<Elm_Cnp_Mode>::type Text::cnp_mode_get() const
{
   Elm_Cnp_Mode __return_value =  ::efl_ui_text_cnp_mode_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<Elm_Cnp_Mode>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Text::cnp_mode_set( ::efl::eolian::in_traits<Elm_Cnp_Mode>::type cnp_mode) const
{
    ::efl_ui_text_cnp_mode_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<Elm_Cnp_Mode,  ::efl::eolian::in_traits<Elm_Cnp_Mode>::type>(cnp_mode));
}
inline ::efl::eolian::return_traits<Elm_Input_Panel_Lang>::type Text::input_panel_language_get() const
{
   Elm_Input_Panel_Lang __return_value =  ::efl_ui_text_input_panel_language_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<Elm_Input_Panel_Lang>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Text::input_panel_language_set( ::efl::eolian::in_traits<Elm_Input_Panel_Lang>::type lang) const
{
    ::efl_ui_text_input_panel_language_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<Elm_Input_Panel_Lang,  ::efl::eolian::in_traits<Elm_Input_Panel_Lang>::type>(lang));
}
inline ::efl::eolian::return_traits<bool>::type Text::selection_handler_disabled_get() const
{
   Eina_Bool __return_value =  ::efl_ui_text_selection_handler_disabled_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<bool>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Text::selection_handler_disabled_set( ::efl::eolian::in_traits<bool>::type disabled) const
{
    ::efl_ui_text_selection_handler_disabled_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<Eina_Bool,  ::efl::eolian::in_traits<bool>::type>(disabled));
}
inline ::efl::eolian::return_traits<int>::type Text::input_panel_layout_variation_get() const
{
   int __return_value =  ::efl_ui_text_input_panel_layout_variation_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<int>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Text::input_panel_layout_variation_set( ::efl::eolian::in_traits<int>::type variation) const
{
    ::efl_ui_text_input_panel_layout_variation_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<int,  ::efl::eolian::in_traits<int>::type>(variation));
}
inline ::efl::eolian::return_traits<Elm_Autocapital_Type>::type Text::autocapital_type_get() const
{
   Elm_Autocapital_Type __return_value =  ::efl_ui_text_autocapital_type_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<Elm_Autocapital_Type>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Text::autocapital_type_set( ::efl::eolian::in_traits<Elm_Autocapital_Type>::type autocapital_type) const
{
    ::efl_ui_text_autocapital_type_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<Elm_Autocapital_Type,  ::efl::eolian::in_traits<Elm_Autocapital_Type>::type>(autocapital_type));
}
inline ::efl::eolian::return_traits<bool>::type Text::password_get() const
{
   Eina_Bool __return_value =  ::efl_ui_text_password_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<bool>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Text::password_set( ::efl::eolian::in_traits<bool>::type password) const
{
    ::efl_ui_text_password_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<Eina_Bool,  ::efl::eolian::in_traits<bool>::type>(password));
}
inline ::efl::eolian::return_traits<bool>::type Text::input_panel_return_key_disabled_get() const
{
   Eina_Bool __return_value =  ::efl_ui_text_input_panel_return_key_disabled_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<bool>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Text::input_panel_return_key_disabled_set( ::efl::eolian::in_traits<bool>::type disabled) const
{
    ::efl_ui_text_input_panel_return_key_disabled_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<Eina_Bool,  ::efl::eolian::in_traits<bool>::type>(disabled));
}
inline ::efl::eolian::return_traits<bool>::type Text::prediction_allow_get() const
{
   Eina_Bool __return_value =  ::efl_ui_text_prediction_allow_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<bool>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Text::prediction_allow_set( ::efl::eolian::in_traits<bool>::type prediction) const
{
    ::efl_ui_text_prediction_allow_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<Eina_Bool,  ::efl::eolian::in_traits<bool>::type>(prediction));
}
inline ::efl::eolian::return_traits<Elm_Input_Hints>::type Text::input_hint_get() const
{
   Elm_Input_Hints __return_value =  ::efl_ui_text_input_hint_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<Elm_Input_Hints>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Text::input_hint_set( ::efl::eolian::in_traits<Elm_Input_Hints>::type hints) const
{
    ::efl_ui_text_input_hint_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<Elm_Input_Hints,  ::efl::eolian::in_traits<Elm_Input_Hints>::type>(hints));
}
inline ::efl::eolian::return_traits<Elm_Input_Panel_Layout>::type Text::input_panel_layout_get() const
{
   Elm_Input_Panel_Layout __return_value =  ::efl_ui_text_input_panel_layout_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<Elm_Input_Panel_Layout>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Text::input_panel_layout_set( ::efl::eolian::in_traits<Elm_Input_Panel_Layout>::type layout) const
{
    ::efl_ui_text_input_panel_layout_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<Elm_Input_Panel_Layout,  ::efl::eolian::in_traits<Elm_Input_Panel_Layout>::type>(layout));
}
inline ::efl::eolian::return_traits<Elm_Input_Panel_Return_Key_Type>::type Text::input_panel_return_key_type_get() const
{
   Elm_Input_Panel_Return_Key_Type __return_value =  ::efl_ui_text_input_panel_return_key_type_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<Elm_Input_Panel_Return_Key_Type>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Text::input_panel_return_key_type_set( ::efl::eolian::in_traits<Elm_Input_Panel_Return_Key_Type>::type return_key_type) const
{
    ::efl_ui_text_input_panel_return_key_type_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<Elm_Input_Panel_Return_Key_Type,  ::efl::eolian::in_traits<Elm_Input_Panel_Return_Key_Type>::type>(return_key_type));
}
inline ::efl::eolian::return_traits<bool>::type Text::input_panel_enabled_get() const
{
   Eina_Bool __return_value =  ::efl_ui_text_input_panel_enabled_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<bool>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Text::input_panel_enabled_set( ::efl::eolian::in_traits<bool>::type enabled) const
{
    ::efl_ui_text_input_panel_enabled_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<Eina_Bool,  ::efl::eolian::in_traits<bool>::type>(enabled));
}
inline ::efl::eolian::return_traits<void>::type Text::input_panel_return_key_autoenabled_set( ::efl::eolian::in_traits<bool>::type enabled) const
{
    ::efl_ui_text_input_panel_return_key_autoenabled_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<Eina_Bool,  ::efl::eolian::in_traits<bool>::type>(enabled));
}
inline ::efl::eolian::return_traits<void*>::type Text::imf_context_get() const
{
   void * __return_value =  ::efl_ui_text_imf_context_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<void*>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Text::item_provider_prepend( ::efl::eolian::in_traits<Elm_Entry_Item_Provider_Cb>::type func,  ::efl::eolian::in_traits<void*>::type data) const
{
    ::efl_ui_text_item_provider_prepend(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<Elm_Entry_Item_Provider_Cb,  ::efl::eolian::in_traits<Elm_Entry_Item_Provider_Cb>::type>(func)
      ,  ::efl::eolian::convert_to_c<void *,  ::efl::eolian::in_traits<void*>::type>(data));
}
inline ::efl::eolian::return_traits<void>::type Text::input_panel_show() const
{
    ::efl_ui_text_input_panel_show(this->_eo_ptr());
}
inline ::efl::eolian::return_traits<void>::type Text::imf_context_reset() const
{
    ::efl_ui_text_imf_context_reset(this->_eo_ptr());
}
inline ::efl::eolian::return_traits<void>::type Text::selection_copy() const
{
    ::efl_ui_text_selection_copy(this->_eo_ptr());
}
inline ::efl::eolian::return_traits<void>::type Text::item_provider_remove( ::efl::eolian::in_traits<Elm_Entry_Item_Provider_Cb>::type func,  ::efl::eolian::in_traits<void*>::type data) const
{
    ::efl_ui_text_item_provider_remove(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<Elm_Entry_Item_Provider_Cb,  ::efl::eolian::in_traits<Elm_Entry_Item_Provider_Cb>::type>(func)
      ,  ::efl::eolian::convert_to_c<void *,  ::efl::eolian::in_traits<void*>::type>(data));
}
inline ::efl::eolian::return_traits<void>::type Text::context_menu_clear() const
{
    ::efl_ui_text_context_menu_clear(this->_eo_ptr());
}
inline ::efl::eolian::return_traits<void>::type Text::input_panel_imdata_set( ::efl::eolian::in_traits<void const*>::type data,  ::efl::eolian::in_traits<int>::type len) const
{
    ::efl_ui_text_input_panel_imdata_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<const void *,  ::efl::eolian::in_traits<void const*>::type>(data)
      ,  ::efl::eolian::convert_to_c<int,  ::efl::eolian::in_traits<int>::type>(len));
}
inline ::efl::eolian::return_traits<void>::type Text::input_panel_imdata_get( ::efl::eolian::inout_traits<void>::type data,  ::efl::eolian::out_traits<int>::type len) const
{
   void* __out_param_data = ::efl::eolian::convert_inout<void, void>(data);
   int __out_param_len = {};
    ::efl_ui_text_input_panel_imdata_get(this->_eo_ptr()
      , & __out_param_data
      , & __out_param_len);
   ::efl::eolian::assign_out< ::efl::eolian::inout_traits<void>::type, void>(data, __out_param_data);
   ::efl::eolian::assign_out< ::efl::eolian::out_traits<int>::type, int>(len, __out_param_len);
}
inline ::efl::eolian::return_traits<void>::type Text::selection_paste() const
{
    ::efl_ui_text_selection_paste(this->_eo_ptr());
}
inline ::efl::eolian::return_traits<void>::type Text::input_panel_hide() const
{
    ::efl_ui_text_input_panel_hide(this->_eo_ptr());
}
inline ::efl::eolian::return_traits<void>::type Text::cursor_selection_end() const
{
    ::efl_ui_text_cursor_selection_end(this->_eo_ptr());
}
inline ::efl::eolian::return_traits<void>::type Text::selection_cut() const
{
    ::efl_ui_text_selection_cut(this->_eo_ptr());
}
inline ::efl::eolian::return_traits<void>::type Text::item_provider_append( ::efl::eolian::in_traits<Elm_Entry_Item_Provider_Cb>::type func,  ::efl::eolian::in_traits<void*>::type data) const
{
    ::efl_ui_text_item_provider_append(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<Elm_Entry_Item_Provider_Cb,  ::efl::eolian::in_traits<Elm_Entry_Item_Provider_Cb>::type>(func)
      ,  ::efl::eolian::convert_to_c<void *,  ::efl::eolian::in_traits<void*>::type>(data));
}
inline ::efl::eolian::return_traits<void>::type Text::context_menu_item_add( ::efl::eolian::in_traits< ::efl::eina::optional< ::efl::eina::string_view>>::type label,  ::efl::eolian::in_traits< ::efl::eina::optional< ::efl::eina::string_view>>::type icon_file,  ::efl::eolian::in_traits<Elm_Icon_Type>::type icon_type,  ::efl::eolian::in_traits< ::efl::eina::optional<Evas_Smart_Cb>>::type func,  ::efl::eolian::in_traits<void const*>::type data) const
{
    ::efl_ui_text_context_menu_item_add(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<const char *,  ::efl::eolian::in_traits< ::efl::eina::optional< ::efl::eina::string_view>>::type>(label)
      ,  ::efl::eolian::convert_to_c<const char *,  ::efl::eolian::in_traits< ::efl::eina::optional< ::efl::eina::string_view>>::type>(icon_file)
      ,  ::efl::eolian::convert_to_c<Elm_Icon_Type,  ::efl::eolian::in_traits<Elm_Icon_Type>::type>(icon_type)
      ,  ::efl::eolian::convert_to_c<Evas_Smart_Cb,  ::efl::eolian::in_traits< ::efl::eina::optional<Evas_Smart_Cb>>::type>(func)
      ,  ::efl::eolian::convert_to_c<const void *,  ::efl::eolian::in_traits<void const*>::type>(data));
}
inline ::efl::eolian::return_traits< ::efl::canvas::text::Cursor>::type Text::cursor_new() const
{
    ::Efl_Canvas_Text_Cursor* __return_value =  ::efl_ui_text_cursor_new(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits< ::efl::canvas::text::Cursor>::type>(__return_value);
}
inline efl::ui::Text::operator ::efl::ui::Text() const { return *static_cast< ::efl::ui::Text const*>(static_cast<void const*>(this)); }
inline efl::ui::Text::operator ::efl::ui::Text&() { return *static_cast< ::efl::ui::Text*>(static_cast<void*>(this)); }
inline efl::ui::Text::operator ::efl::ui::Text const&() const { return *static_cast< ::efl::ui::Text const*>(static_cast<void const*>(this)); }
} } }

